//=============================================================================
// ListWindow.h
//=============================================================================
#include "Stdinc.h"
#include "ListWindow.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CListWindow::CListWindow(void)
: m_nTopItemIndex( 0 ), m_nMaxItemCount( MAX_ITEM_LIST_COUNT )
{

}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CListWindow::~CListWindow(void)
{
}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CListWindow::Create( int iPosX, int iPosY, int iWidth, int iHeight )
{
	BOOL bRet = CMenuWindow::Create( iPosX, iPosY, iWidth, iHeight );

	// G ǂݍ
	char szFileName[MAX_PATH];
	sprintf_s( szFileName, sizeof(szFileName), "%s\\%s", GRAPHS_SYSTEM_DATA_DIR , LIST_ARROW_UP_FNAME );
	m_nHandleArrowUp = LoadGraph( szFileName ) ;
	if ( m_nHandleArrowUp == DX_FAILED )
	{
		CSysError::Msg("摜ǂݍݎs [%s]", szFileName);
		return FALSE;
	}
	// G ǂݍ
	sprintf_s( szFileName, sizeof(szFileName), "%s\\%s", GRAPHS_SYSTEM_DATA_DIR , LIST_ARROW_DOWN_FNAME );
	m_nHandleArrowDown = LoadGraph( szFileName ) ;
	if ( m_nHandleArrowDown == DX_FAILED )
	{
		CSysError::Msg("摜ǂݍݎs [%s]", szFileName);
		return FALSE;
	}

	return bRet;
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CListWindow::Render( void )
{
	//CMenuWindow::Render();
	CFrameWindow::Render();

	if ( m_nMaxItemCount <= m_nPageItemCount )
		return;

	// \
	if ( m_nTopItemIndex != 0 )
	{
		DrawGraphEx( m_nPosX + m_nWidth - 12, m_nPosY + 30, m_nHandleArrowUp, TRUE );
	}

	// \
	if ( m_nTopItemIndex + m_nPageItemCount < m_nMaxItemCount )
	{
		DrawGraphEx( m_nPosX + m_nWidth - 12, m_nPosY + m_nHeight - 30, m_nHandleArrowDown, TRUE );
	}

}