//=============================================================================
// PlayerChar.h
//=============================================================================
#pragma once
#include <list>
#include "characterobject.h"
#include "Item.h"

class CManipulator;
class CMapManager;
class CPlayerParty;
//-----------------------------------------------------------------------------
// CPlayerChar
//-----------------------------------------------------------------------------
class CPlayerChar :	public CCharacterObject
{
protected:
	CPlayerParty		*m_pParty;				// e

public:	// ANZXȈՉ
	PLAYER_CHAR_INFO	m_CharInfo;				// LN^
	BASE_PARAM			m_BasePram;				// x[Xp^
	PARAM				m_Param;				// p^

	CEquipItem			m_Equip[CHR_POS_MAX];	// i

	// x[Xp^Ƒip^vZ
	void CalcParam( void );

public:
	CPlayerChar(void);
	virtual ~CPlayerChar(void);

	// 
	BOOL Create( int nID, int nPicID, CPlayerParty *pParty );

	// XV
	void FrameMove( const CManipulator *pMani, CMapManager *pMapMan );
	// L[ȂXV
	void FrameMove( CMapManager *pMapMan );

	// 퓬XV
	void FrameMoveAtBattle( void );
	// 퓬`
	void RenderAtBattle( void );

	// HP/MPS
	void RecoveryHPMP( void )
	{	m_CharInfo.nHP = m_Param.Base.nMaxHP;
		m_CharInfo.nMP = m_Param.Base.nMaxMP;};

	// 
	BOOL SetEquipItem( CEquipItem *pEquip, int nChrPos );
	void RemoveEquipItem( int nChrPos );
	const CEquipItem *GetEquipItem( int nChrPos ) const
	{	return &m_Equip[nChrPos];	};

	BOOL IsNoWeapon( void );

	// vZ
	void CalcParam( PARAM *pParam, CEquipItem *pEquip, int nCharPos ) const;
};

