//=============================================================================
// StoreListWindow.h
//=============================================================================
#pragma once
#include <vector>
#include "MenuWindow.h"

class CPlayerParty;
class CManipulator;
class CStoreWindow;
class CItem;
//-----------------------------------------------------------------------------
// CStoreListWindow
//-----------------------------------------------------------------------------
class CStoreListWindow : public CMenuWindow
{
public:
	enum {
		ONE_PAGE_ITEM_COUNT = 8,
	};

protected:
	CStoreWindow	*m_pParent;			// eEBhE
	CPlayerParty	*m_pPlayerParty;	// v[p[eB (Q)

	// i
	std::vector<CItem *> m_aryProductItem;
	int					 m_nRate;

	void MakeDummyItem( int nCount );
public:
	CStoreListWindow(void);
	virtual ~CStoreListWindow(void);

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CStoreWindow *pParent );

	void Render( void );							// `
	void FrameMove( const CManipulator *pMani );	// XV

	// iݒ
	void SetProduct( std::vector<CItem *> &aryItem, int nRate );

	// Ii擾
	CItem *GetSelectedItem( void );
};

