//=============================================================================
// CampMenuWindow.h
//=============================================================================
#pragma once
#include "MenuWindow.h"

class CManipulator;
class CCampWindow;
//-----------------------------------------------------------------------------
// CCampMenuWindow
//-----------------------------------------------------------------------------
class CCampMenuWindow :public CMenuWindow
{
public:
	enum {
		MENU_ID_ITEM	= 0,	// ACe
		MENU_ID_MAGIC,			// ܂ق
		MENU_ID_EQUIP,			// 
		MENU_ID_STATUS,			// Xe[^X
		MENU_ID_CONFIG,			// RtBO
		MENU_ID_SAVE,			// Z[u
	};
protected:
	CCampWindow		*m_pCampWnd;	// eEBhE
	BOOL			m_bEnabled;		// LFɂ邩ۂ

	BOOL			m_bSelected;	// ܂ق  Xe[^X LI
	int				m_nSelItem;		// IĂACe


public:
	CCampMenuWindow(void);
	virtual ~CCampMenuWindow(void);

	// LFŕ`悷邩ۂ
	void SetEnable( BOOL bEnabled )
	{	m_bEnabled = bEnabled;	};
	BOOL IsEnable( void ) const
	{	return m_bEnabled;	};

	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight, CCampWindow *pParent );

	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );							// `

	// Iԉ
	void UnSelectItem( void );

};
