//=============================================================================
// CampWindow.h
//=============================================================================
#pragma once
#include <assert.h>
#include "cowndmanager.h"

#include "CampPartyWindow.h"
#include "CampMenuWindow.h"
#include "JobAbilityWindow.h"
#include "PlayTimeWindow.h"
#include "GillWindow.h"
#include "FormationWindow.h"
#include "ItemWindow.h"
#include "MagicWindow.h"
#include "EquipWindow.h"
#include "StatusWindow.h"
#include "SaveWindow.h"

class CManipulator;
class CPlayerParty;
//-----------------------------------------------------------------------------
// CCampWindow
//-----------------------------------------------------------------------------
class CCampWindow :	public CCoWndManager
{
private:
	BOOL Create( void ){ assert(0); return FALSE;	};	// don't use

protected:

	// 
	CItemWindow			m_wndItem;		// ACeEBhE
	CMagicWindow		m_wndMagic;		// @EBhE
	CEquipWindow		m_wndEquip;		// EBhE
	CStatusWindow		m_wndStatus;	// Xe[^XEBhE
	CSaveWindow			m_wndSave;		// Z[uEBhE

	// qEBhE
	CJobAbilityWindow	m_JobAbiWnd;
	CCampMenuWindow		m_MenuWnd;
	CPlayTimeWindow		m_TimeWnd;
	CGillWindow			m_GillWnd;
	CCampPartyWindow	m_PartyWnd;
	CFormationWindow	m_FromationWnd;

	// v[p[eB
	CPlayerParty		*m_pPlayerParty;

	//  EBhEꏈ
	void SetBgAtFormationMake( void );

public:
	CCampWindow(void);
	virtual ~CCampWindow(void);

	BOOL IsMenu( void ) const	// j[邩
	{	return TRUE;	};

	void SetVisible( BOOL bFlag );

	void SetMenuCursor( int nCursorPos )
	{	m_MenuWnd.SetCurPos( nCursorPos );	};
	
	BOOL Create( CPlayerParty *pPlayerParty );		// 
	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );		// `
	void Delete( void );		// j

	void HideFormationWindow( void );

	// qEBhẼj[ʒm
	void NotifyDecideKey( CFrameWindow *pWnd, int nMenuID );
	// qEBhẼLZ{^ʒm
	void NotifyCancelKey( CFrameWindow *pWnd );

	// j[ p[eBEBhEɃtH[JXڂΏۂIԏ
	void SelectPartyMemberReq( void );
};

