//=============================================================================
// Cursor.h
//=============================================================================
#pragma once
#include <vector>
#include "drawable.h"

//-----------------------------------------------------------------------------
// CCursor
//-----------------------------------------------------------------------------
class CCursor :	public CDrawable
{
protected:
	int		m_nHandle;			// J[\G

	std::vector<POSITION *> m_arySelCurPos;	// IJ[\`ʒu
	UINT	m_nFrameCount;

public:
	CCursor(void);
	virtual ~CCursor(void);

	BOOL Create( void );		// 
	void FrameMove( void ); 	// XV
	void Render( void );		// `
	void Delete( void );		// j

	void AddSelectedPos( int nX, int nY );
	void RemoveAllSelectedPos( void );

	void RenderSelectedCursor( void );	// IJ[\`
};
