//=============================================================================
// ItemWindow.h
//=============================================================================
#pragma once
#include <assert.h>
#include "cowndmanager.h"
#include "TagWindow.h"
#include "ItemMenuWindow.h"
#include "ItemDescWindow.h"
#include "ItemListWindow.h"

class CManipulator;
class CPlayerParty;
class CCampWindow;
//-----------------------------------------------------------------------------
// CItemWindow
//-----------------------------------------------------------------------------
class CItemWindow :	public CCoWndManager
{
private:
	BOOL Create( void ){ assert(0); return FALSE;	};	// don't use

protected:
	CCampWindow			*m_pCampWnd;		// eEBhE

	// qEBhE
	CTagWindow			m_TagWnd;			// ACe \
	CItemMenuWindow		m_MenuWnd;			// wb_j[
	CItemDescWindow		m_DescWnd;			// ACeڍו\
	CItemListWindow		m_ListWnd;			// ACeXg

	CPlayerParty		*m_pPlayerParty;

public:
	CItemWindow(void);
	virtual ~CItemWindow(void);

	BOOL IsMenu( void ) const	// j[邩
	{	return TRUE;	};

	void SetVisible( BOOL bFlag );
	
	BOOL Create( CPlayerParty *pPlayerParty, CCampWindow *pParent );		// 
	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );		// `
	void Delete( void );		// j

	// qEBhẼj[ʒm
	void NotifyDecideKey( CFrameWindow *pWnd, int nMenuID );
	// qEBhẼLZ{^ʒm
	void NotifyCancelKey( CFrameWindow *pWnd );

	// I𒆂̃ACe擾
	stItemInfo *GetSelectedItem( void ) const;
};
