//=============================================================================
// CMenuWindow.h
//=============================================================================
#pragma once
#include <vector>
#include "framewindow.h"
#include "Cursor.h"

const int CURSOR_POS_X_MARGINE = 16;

class CManipulator;
enum {
	MENU_TYPE_VERTICAL	= 0,	// cȂ
	MENU_TYPE_HORIZONTAL,		// Ȃ
};
//-----------------------------------------------------------------------------
// CMenuWindow
//-----------------------------------------------------------------------------
class CMenuWindow :	public CFrameWindow
{
protected:
	int			m_nType;				// ACe̕у^Cv
	std::vector<stMenuItem *> m_aryItem;// j[ACe
	CCursor		*m_pCursor;				// \pJ[\ (Q)
	int			m_nCursorIndex;			// J[\CfbNX
	BOOL		m_bFocused;				// tH[JX邩
	BOOL		m_bLoopAtEdge;			// Xgn_ƏI[q邩

public:
	CMenuWindow(void);
	virtual ~CMenuWindow(void);

	BOOL IsMenu( void ) const
	{	return TRUE;	};

	virtual void SetFocus( BOOL bFlag )
	{
		m_bFocused = bFlag;
		m_pCursor->SetVisible( m_bFocused );
	};

	BOOL IsFocused( void ) const
	{	return m_bFocused;	};

	virtual void FrameMove( const CManipulator *pMani );	// `
	virtual void Render( void );	// XV

	// ACeǉ
	void AddMenuItem( int nID, BOOL bEnabled, int nPosX, int nPosY, const char *lpzText, int nIcon, int nCount );
	void AddMenuItem( const stMenuItem *pItem );

	// j[NA
	void ClearMenuItem( void );

	// j[XV
	void UpdateMenuText( int nID, BOOL bEnabled, const char *lpzText, int nIcon, int nCount );

	// ACe擾
	stMenuItem *GetItem( int nIndex );

	// J[\ʒuݒ
	virtual int SetCurPos( int nIndex );
	int GetCurPos( void ) const
	{	return m_nCursorIndex;	};

	// ACe擾
	int GetItemCount( void ) const
	{	return (int)m_aryItem.size();	};
};

