//=============================================================================
// PlayerBattle.h
//=============================================================================
#pragma once
#include "drawable.h"

//-----------------------------------------------------------------------------
// CPlayerBattle
//-----------------------------------------------------------------------------
class CPlayerBattle : public CDrawable
{
public:
	// 퓬L`bvp^[
	enum {
		STAND		= 0,	// C
		WALK_R,				// s EO
		ATACK_01,			// U Uグ
		ATACK_02,			// U U肨낵
		HANDS_UP	= 11,	// oUC
	};
	enum {
		BTL_CHAR_PTN_COUNT = 15,
	};

protected:
	// 퓬f[^
	int			m_nID;					// ID
	int			m_nPicID;				// GID
	int			m_nState;				// Xe[^X
	int			m_nHandle[BTL_CHAR_PTN_COUNT];

public:
	CPlayerBattle(void);
	virtual ~CPlayerBattle(void);

	int GetID( void ) const
	{	return m_nID;	};

	// 
	BOOL Create( int nID, int nPicID );
	void FrameMove( void );				// XV
	void Render( void );				// `

	void RenderPortrait( int nPosX, int nPosY );
	void RenderPortrait( int nPosX, int nPosY, int nState );

	// j
	void Delete( void );
	// ǂݍ
	BOOL LoadPicture( int nPicID );
};

